
.nodisplay { display: none; }

.X{
    border: 5px outset rgba(52, 61, 70, 0.938);
    background-color: rgb(48, 58, 61);
    text-align: center;
    max-width: 1000px;
    margin: auto;
    font-family: 'Roboto', sans-serif;
  }
  h1{text-align: center;}
  input{
    background-color: rgb(59, 76, 83); 
    background-position: 10px 12px;
    background-repeat: no-repeat; 
    width: 100%; 
    caret-color: white;
    font-size: 17px; 
    padding: 12px 20px 12px 40px;
    margin-bottom: none; 
    border: none;
    border-radius: 2px;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
  }
  input:focus{outline: none;}
  input:hover, input:focus{
    box-shadow: 0 3px 8px 0 rgba(0,0,0, 0.2), 0 0 0 1px rgba(0,0,0, 0.08);
  }
  ul {
      list-style-type: none;
      padding: 0;
      margin: 0;
  }
  li {
    border: 1px solid #ddd;
    margin-top: -1px; 
    background-color: #f6f6f6; 
    padding: 12px; 
    text-decoration: none;
    font-size: 18px; 
    color: rgb(247, 232, 232); 
    display: block; 
  }
  a.lH {
      background-color: #e2e2e2; 
      cursor: default; 
  }
  a:hover:not(.lH) {
    background-color: #eee; 
  }
  ::placeholder {
    color: rgb(142, 175, 184);
    
  }
  a {
    color: #080808;
  }
  
  











html {
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
  }
  
  body {
    font-family: "Cardo", serif;
  }
  
  h1 {
    font-family: "Open Sans", sans-serif;
    font-size: 1.75rem;
    font-weight: 800;
    margin: .5em 0;
    text-align: center;
    text-transform: uppercase;
  }
  h1 span {
    font-family: "Cardo", serif;
    font-size: .75em;
    font-style: italic;
    font-weight: 400;
    margin: 0 .3em 0 .1em;
    text-transform: none;
  }
  
  .house {
    text-transform: uppercase;
  }
  .house .house__name {
    font-size: 1.25rem;
    text-align: right;
    margin: 0;
  }
  .house .house__motto {
    margin: .5em 0 0;
  }
  
  .house__name {
    font-weight: 400;
  }
  
  .house__motto span {
    display: inline-block;
    line-height: .8;
  }
  .house__motto .line {
    display: block;
  }
  
  @media screen and (min-width: 380px) {
    h1 {
      font-size: 2rem;
    }
  
    .house .house__name {
      font-size: 1.5rem;
    }
  }
  @media screen and (min-width: 500px) {
    html {
      font-size: 90%;
    }
  
    h1 {
      font-size: 2.5rem;
    }
  }
  @media screen and (min-width: 600px) {
    html {
      font-size: 100%;
    }
  }
  @media screen and (min-width: 1200px) {
    html {
      font-size: 115%;
    }
  }
  /* ------------------------------------------------------------
    Layout
  ------------------------------------------------------------ */
  *,
  *:before,
  *:after {
    box-sizing: border-box;
  }
  
  body {
    background: #eee url("");
    margin: 0;
    padding: 2em 0 0;
  }
  
  .great-houses {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    min-width: 320px;
    max-width: 1100px;
  }
  
  .house {
    background-image: url("");
    cursor: pointer;
    display: flex;
    align-items: center;
    margin-top: .5rem;
    overflow: hidden;
    position: relative;
    text-align: center;
    vertical-align: center;
    min-height: 9rem;
    z-index: 2;
  }
  .house:after {
    box-shadow: inset 0 0 8px rgba(0, 0, 0, 0.8);
    content: '';
    display: block;
    pointer-events: none;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10;
  }
  
  .house__name {
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    transition: all .4s ease-in;
    z-index: 1;
  }
  .house__name span {
    position: absolute;
    right: 1em;
    z-index: 2;
  }
  
  .house__motto {
    flex: 1;
    padding: 1rem 0;
  }
  
  .house:hover .house__name {
    left: -100%;
  }
  
  @media screen and (min-width: 380px) {
    .house__name span {
      right: 15%;
      text-align: center;
    }
  }
  @media screen and (max-width: 500px) {
    .house__name {
      width: 85%;
    }
    .house__name:before, .house__name:after {
      box-shadow: 4px 0 2px -2px rgba(0, 0, 0, 0.4);
      content: '';
      display: block;
      position: absolute;
      right: 0;
      width: 20%;
      height: 100%;
      z-index: 0;
    }
    .house__name:before {
      top: -50%;
      transform-origin: right bottom;
      transform: rotate(30deg);
    }
    .house__name:after {
      top: 50%;
      transform-origin: right top;
      transform: rotate(-30deg);
    }
    .house__name span {
      margin: -.5em auto 0;
      top: 50%;
      left: 40%;
    }
  }
  @media screen and (min-width: 500px) {
    .great-houses {
      flex-direction: row;
      flex-wrap: wrap;
      width: 90%;
    }
  
    .house {
      margin: .5rem 1%;
      width: 48%;
    }
  
    .house__name {
      width: 100%;
    }
    .house__name span {
      bottom: 5%;
      right: 5%;
    }
  }
  @media screen and (min-width: 900px) {
    .house {
      width: 31.33333333%;
    }
  }
  @media screen and (min-width: 1200px) {
    .house__motto {
      padding: 1.5rem 0;
    }
  }
 
  footer {
    border: 1px dotted #ccc;
    background: rgba(0, 0, 0, 0.8);
    border-width: 1px 0;
    color: #aaa;
    display: block;
    margin-top: 5rem;
    padding: 2rem 5%;
    line-height: 1.5;
    text-align: center;
  }
  footer p {
    font-family: "Open Sans", sans-serif;
    font-size: .75rem;
    margin: 0;
  }
  footer a {
    color: #ccc;
    display: inline-block;
    font-weight: bold;
    padding: .2em;
  }
  footer a:hover {
    color: #fff;
  }
  
  @media screen and (min-width: 500px) {
    footer {
      text-align: left;
    }
    footer p:before {
      content: "\2022\0020 ";
    }
  }
  @media screen and (min-width: 1200px) {
    footer p {
      font-size: .666666rem;
    }
  }
  /* ------------------------------------------------------------
    Houses Styles
  ------------------------------------------------------------ */
  .is--lannister {
    background-color: #f1b62c;
    background-position: 0 0;
    color: #901510;
  }
  .is--lannister .house__name {
    background-color: #901510;
    background-image: url();
  }
  .is--lannister .house__name:before, .is--lannister .house__name:after {
    background: #901510;
  }
  
  .is--arryn {
    background-color: #d1cebb;
    background-position: 0 12.5%;
    color: #151c53;
  }
  .is--arryn .house__name {
    background-color: #151c53;
    background-image: url();
  }
  .is--arryn .house__name:before, .is--arryn .house__name:after {
    background: #151c53;
  }
  
  .is--baratheon {
    background-color: #000;
    background-position: 0 25%;
    color: #fdce20;
  }
  .is--baratheon .house__name {
    background-color: #fdce20;
    background-image: url();
  }
  .is--baratheon .house__name:before, .is--baratheon .house__name:after {
    background: #fdce20;
  }
  
  .is--stark {
    background-color: #989898;
    background-position: 0 37.5%;
    color: #ece6db;
  }
  .is--stark .house__name {
    background-color: #ece6db;
    background-image: url();
  }
  .is--stark .house__name:before, .is--stark .house__name:after {
    background: #ece6db;
  }
  
  .is--tully {
    background-color: #af1d1e;
    background-position: 0 50%;
    color: #00173d;
  }
  .is--tully .house__name {
    background-color: #00173d;
    background-image: url();
  }
  .is--tully .house__name:before, .is--tully .house__name:after {
    background: #00173d;
  }
  
  .is--tyrell {
    background-color: #f1b62e;
    background-position: 0 62.5%;
    color: #006600;
  }
  .is--tyrell .house__name {
    background-color: #006600;
    background-image: url();
  }
  .is--tyrell .house__name:before, .is--tyrell .house__name:after {
    background: #006600;
  }
  
  .is--greyjoy {
    background-color: #fecc37;
    background-position: 0 75%;
    color: #000;
  }
  .is--greyjoy .house__name {
    background-color: #000;
    background-image: url();
  }
  .is--greyjoy .house__name:before, .is--greyjoy .house__name:after {
    background: #000;
  }
  
  .is--martell {
    background-color: #e12812;
    background-position: 0 87.5%;
    color: #faa703;
  }
  .is--martell .house__name {
    background-color: #faa703;
    background-image: url();
  }
  .is--martell .house__name:before, .is--martell .house__name:after {
    background: #faa703;
  }
  
  .is--targaryen {
    background-color: #d13a1b;
    background-position: 0 100%;
    color: #000;
  }
  .is--targaryen .house__name {
    background-color: #000;
    background-image: url();
  }
  .is--targaryen .house__name:before, .is--targaryen .house__name:after {
    background: #000;
  }
  
  /* Lannister
  ---------------------------------------- */
  .is--lannister .house__name {
    background-position: -35px 0, 0 0;
    color: #fff;
  }
  .is--lannister .house__motto span:nth-of-type(1), .is--lannister .house__motto span:nth-of-type(3) {
    font-size: 2rem;

    font-weight: bold;
  }
  .is--lannister .house__motto span:nth-of-type(1) {
    margin-bottom: .1em;
    text-indent: -3.5rem;
  }
  .is--lannister .house__motto span:nth-of-type(2) {
    font-size: 1.5rem;
    position: relative;
    top: .2em;
    vertical-align: top;
    text-indent: 2rem;
  }
  
  @media screen and (min-width: 500px) {
    .is--lannister .house__name {
      background-position: -70px 0, 0 0;
    }
  }
  @media screen and (min-width: 650px) {
    .is--lannister .house__name {
      background-position: -35px 0, 0 0;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--lannister .house__name {
      background-position: -10px 0, 0 0;
    }
  }
  /* Arryn
  ---------------------------------------- */
  .is--arryn .house__name {
    background-position: -85px 15px, 0 0;
    color: #fff;
  }
  .is--arryn .house__motto {
    margin-top: 0;
  }
  .is--arryn .house__motto span:nth-of-type(2), .is--arryn .house__motto span:nth-of-type(4) {
    font-weight: bold;
  }
  .is--arryn .house__motto span:nth-of-type(2) {
    font-size: 3rem;
  }
  .is--arryn .house__motto span:nth-of-type(1) {
    font-size: 3rem;
  }
  .is--arryn .house__motto span:nth-of-type(1), .is--arryn .house__motto span:nth-of-type(3) {
    margin: .25em 0 .3em;
  }
  
  @media screen and (min-width: 1200px) {
    .is--arryn .house__name {
      background-position: 10px 15px, 0 0;
    }
  }
  /* Baratheon
  ---------------------------------------- */
  .is--baratheon .house__name {
    background-position: -55px -55px, 0 0;
    color: #000;
  }
  .is--baratheon .house__motto .line {
    margin-bottom: .5em;
  }
  .is--baratheon .house__motto .line span:nth-of-type(1) {
    font-size: 3.25rem;
    font-weight: bold;
  }
  .is--baratheon .house__motto .line span:nth-of-type(2) {
    vertical-align: baseline;
  }
  .is--baratheon .house__motto span:nth-of-type(2) {
    font-size: 1.5rem;
    margin: 0 .1em;
    position: relative;
    top: .1em;
    vertical-align: top;
  }
  .is--baratheon .house__motto span:nth-of-type(3) {
    font-size: 2.75rem;
    font-weight: bold;
  }
  
  @media screen and (min-width: 500px) {
    .is--baratheon .house__name {
      background-position: -50px -35px, 0 0;
      background-size: 100% auto;
    }
  }
  @media screen and (min-width: 600px) {
    .is--baratheon .house__name {
      background-position: -55px -55px, 0 0;
      background-size: auto;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--baratheon .house__name {
      background-position: -25px -55px, 0 0;
      background-size: auto;
    }
  }
  /* Stark
  ---------------------------------------- */
  .is--stark .house__name {
    background-position: -55px 10px, 0 0;
    color: #000;
  }
  .is--stark .house__motto span:nth-of-type(1), .is--stark .house__motto span:nth-of-type(3) {
    font-weight: bold;
  }
  .is--stark .house__motto span:nth-of-type(1) {
    font-size: 3rem;
    margin-bottom: .15em;
  }
  .is--stark .house__motto span:nth-of-type(2) {
    font-size: 1.5rem;
    vertical-align: top;
    margin: 0 .15em;
    position: relative;
    top: .1em;
  }
  .is--stark .house__motto span:nth-of-type(3) {
    font-size: 2.5rem;
  }
  
  @media screen and (min-width: 1200px) {
    .is--stark .house__name {
      background-position: 5px 10px, 0 0;
    }
  }
  /* Tully
  ---------------------------------------- */
  .is--tully .house__name {
    background-position: 5px 5px, 0 0;
    color: #fff;
  }
  .is--tully .house__motto span {
    font-weight: bold;
    margin-bottom: .25rem;
  }
  .is--tully .house__motto span:nth-of-type(1) {
    font-size: 2.3rem;
  }
  .is--tully .house__motto span:nth-of-type(2) {
    font-size: 3rem;
  }
  .is--tully .house__motto span:nth-of-type(3) {
    font-size: 2.3rem;
  }
  
  @media screen and (min-width: 1200px) {
    .is--tully .house__name {
      background-position: 20px 10px, 0 0;
    }
  }
  /* Tyrell
  ---------------------------------------- */
  .is--tyrell .house__name {
    background-position: -50px -35px, 0 0;
    color: #fff;
  }
  .is--tyrell .house__motto span:nth-of-type(1) {
    font-size: 2.65rem;
    margin-bottom: .15em;
  }
  .is--tyrell .house__motto span:nth-of-type(2) {
    font-size: 3rem;
    font-weight: bold;
  }
  
  @media screen and (min-width: 500px) {
    .is--tyrell .house__name {
      background-position: -70px -45px, 0 0;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--tyrell .house__name {
      background-position: 5px center, 0 0;
    }
  }
  /* Greyjoy
  ---------------------------------------- */
  .is--greyjoy .house__name {
    background-position: -30px -70px, 0 0;
    color: #fff;
  }
  .is--greyjoy .house__motto span:nth-of-type(1) {
    font-size: 2rem;
  }
  .is--greyjoy .house__motto span:nth-of-type(2) {
    font-size: 2.75rem;
    font-weight: bold;
    letter-spacing: -.05em;
    margin: .1em;
  }
  .is--greyjoy .house__motto span:nth-of-type(3) {
    font-size: 2rem;
  }
  
  @media screen and (min-width: 500px) {
    .is--greyjoy .house__name {
      background-position: -30px -45px, 0 0;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--greyjoy .house__name {
      background-position: 10px 10px, 0 0;
    }
  }
  /* Martell
  ---------------------------------------- */
  .is--martell .house__name {
    background-position: -60px center, 0 0;
    color: #000;
  }
  .is--martell .house__motto span:nth-of-type(1), .is--martell .house__motto span:nth-of-type(3) {
    font-weight: bold;
  }
  .is--martell .house__motto span:nth-of-type(1) {
    font-size: 2rem;
  }
  .is--martell .house__motto span:nth-of-type(2) {
    font-size: 2.6rem;
    margin: .12em 0 .15em;
  }
  .is--martell .house__motto span:nth-of-type(3) {
    font-size: 1.9rem;
  }
  
  @media screen and (min-width: 500px) {
    .is--martell .house__name {
      background-position: -75px center, 0 0;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--martell .house__name {
      background-position: 5px center, 0 0;
    }
  }
  /* Targaryen
  ---------------------------------------- */
  .is--targaryen .house__name {
    background-position: -35px 40px, 0 0;
    color: #fff;
  }
  .is--targaryen .house__motto span:nth-of-type(1), .is--targaryen .house__motto span:nth-of-type(3) {
    font-weight: bold;
  }
  .is--targaryen .house__motto span:nth-of-type(1) {
    font-size: 3.25rem;
    letter-spacing: .1em;
  }
  .is--targaryen .house__motto span:nth-of-type(2) {
    font-size: 1.25rem;
    margin: .15em 0 .2em;
  }
  .is--targaryen .house__motto span:nth-of-type(3) {
    font-size: 2.25rem;
  }
  
  @media screen and (min-width: 500px) {
    .is--targaryen .house__name {
      background-position: -60px 5px, 0 0;
    }
  }
  @media screen and (min-width: 1200px) {
    .is--targaryen .house__name {
      background-position: -30px 20px, 0 0;
    }
  }
  